openSUSE Security Update: Security update for drbd-utils
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:3665-1
Rating:             low
References:         #1029961 #1185132 #1189363 SLE-21057 
Affected Products:
                    openSUSE Leap 15.3
______________________________________________________________________________

   An update that contains security fixes and contains one
   feature can now be installed.

Description:

   This update for drbd-utils fixes the following issues:

   - make all binaries position independent (basc#1185132).
   - Upgrade to 9.0.18 (bsc#1189363)
    * build: remove rpm related targets
    * drbdsetup,v84: fix minor compile warnings
    * systemd: resource specific activation
    * systemd: drbd-reactor promoter templates
    * doc: fix maximum ping timeout
    * doc: add man pages for the systemd templates
    * drbdadm,v9: fix dstate for diskless volumes
    * build/release: use lbvers.py
    * drbd-attr: don't leak fd to drbdsetup
    * doc: various fixes and additions
    * drbdsetup,events2,v9: add backing_device
    * build,Debian: rm dh-systemd dependency
    * drbdsetup,events2,v9: fix --poll regression
    * drbdmeta: fix bug with ALs with small final extents
    * build,Debian: rm mail recommends
    * drbdsetup,events2,v9: allow --poll without --now
    * drbdsetup,invalidate: allow bitmap based resync after verify
    * drbdadm,sh-ll-dev: change output to "none" if diskless
    * drbdadm,v9: allow set-gi in single node clusters
    * drbsetup,events2,v9: diff(erential) output
    * drbsetup,events2,v9: add --full output
    * v9: allow resource rename, also in drbdmon
    * drbdadm,v9: allow c-max-rate to be disabled
    * New drbd-attr Pacemaker RA
    * events2: handle mixed initial state and multicast events
    * events2: fix regression to always print resync done
   - Prepare '/usr' merge. (bsc#1029961)


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2021-3665=1



Package List:

   - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):

      drbd-utils-9.18.0-4.7.2
      drbd-utils-debuginfo-9.18.0-4.7.2
      drbd-utils-debugsource-9.18.0-4.7.2


References:

   https://bugzilla.suse.com/1029961
   https://bugzilla.suse.com/1185132
   https://bugzilla.suse.com/1189363